Skip to main content
POST
Create a new group connection in an existing group

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string<uuid>
required

The unique identifier of the group for which you would like to add a carrier connection

Example:

"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"

Body

application/json
carrier_id
string<uuid>
required

Unique identifier of the carrier in Noyo

group_data
object
required

Carrier-specific data to execute a group connection

data_exchange_configuration
enum<string>

Use the specified data exchange configuration without calculating connection eligibility

Available options:
api,
edi
ignore_eligibility
boolean

Use the best available data exchange configuration without calculating connection eligibility

Response

201 - application/json

Successful Response - Returns the new Group Connection

carrier_id
string<uuid>
required
read-only

Unique identifier of the carrier in Noyo

created
integer
required

The date the record was created

group_data
object
required
read-only

Carrier-specific data required to execute a group connection

id
string<uuid>
required
read-only

Unique identifier of the group connection in Noyo

modified
integer
required

The date the record was last updated

organization_id
string<uuid>
required
read-only

Unique identifier of the platform or broker organization in Noyo

request_type
string
required
read-only

Type of the group connection

setup_result
object
required
read-only

More information about the result of the group connection

status
string
required
read-only

Status of the group connection

version
string<uuid>
required

Current version of the record

group_audit_request_id
string<uuid>
read-only

ID of associated group audit request model

group_id
string<uuid>
read-only

ID of associated group model